Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.redelivery
Class JmsXRedeliveryHandler

    java.lang.Object
      org.mule.transport.jms.redelivery.AbstractRedeliveryHandler
          org.mule.transport.jms.redelivery.JmsXRedeliveryHandler

All Implemented Interfaces:
  RedeliveryHandler

    public class JmsXRedeliveryHandler

extends AbstractRedeliveryHandler

A redelivery handler which relies on JMS provider's redelivery count facilities.

See Also:
  `JmsConstants.JMS_X_DELIVERY_COUNT`

Field Summary
`protected static Log` | `logger` logger used by this class

Fields inherited from class org.mule.transport.jms.redelivery.AbstractRedeliveryHandler
`connector`

Constructor Summary
`JmsXRedeliveryHandler()`

Method Summary
`void` | `handleRedelivery(Message message, ImmutableEndpoint endpoint, FlowConstruct flow)` process the redelivered message.

Methods inherited from class org.mule.transport.jms.redelivery.AbstractRedeliveryHandler
`createMuleMessage, setConnector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### JmsXRedeliveryHandler

    public JmsXRedeliveryHandler()

Method Detail

### handleRedelivery

    public void handleRedelivery(Message message,
                                 ImmutableEndpoint endpoint,
                                 FlowConstruct flow)
                          throws JMSException,
                                 MuleException

  process the redelivered message. If the Jms receiver should process the message, it should be returned. Otherwise the connector should throw a `MessageRedeliveredException` to indicate that the message should be handled by the connector Exception Handler.

  Specified by:
    `handleRedelivery` in interface `RedeliveryHandler`
  Specified by:
    `handleRedelivery` in class `AbstractRedeliveryHandler`
  Parameters:
    `message` - the redelivered message
    `endpoint` - from which the message was received
  Throws:
    `JMSException` - if properties cannot be read from the JMSMessage
    `MessageRedeliveredException` - should be thrown if the message should be handled by the connection exception handler
    `MuleException` - if there is a problem reading or proessing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.